From 1f35d88be2b20d8f193789538c6604a17f1379cf Mon Sep 17 00:00:00 2001
From: Mark Reynolds <mreynolds@redhat.com>
Date: Mon, 15 Jun 2015 13:20:50 -0400
Subject: [PATCH] Ticket 47998 - remove "windows" files

Description:  Remove windows definition and dll files, etc.

https://fedorahosted.org/389/ticket/47998

Reviewed by: ?
---
 include/base/eventhandler.h                        |  110 --
 include/base/eventlog.h                            |   57 -
 include/base/nterr.h                               |   58 -
 include/base/nterrors.h                            |  104 --
 ldap/servers/plugins/acl/acldllmain.c              |   80 -
 ldap/servers/plugins/acl/libacl.def                |   48 -
 ldap/servers/plugins/chainingdb/cbdllmain.c        |   78 -
 ldap/servers/plugins/chainingdb/libcb.def          |   47 -
 ldap/servers/plugins/collation/collation.def       |   42 -
 ldap/servers/plugins/collation/dllmain.c           |   84 -
 ldap/servers/plugins/cos/cos.def                   |   43 -
 ldap/servers/plugins/cos/dllmain.c                 |   56 -
 ldap/servers/plugins/distrib/Makefile              |   55 +-
 ldap/servers/plugins/distrib/Makefile.WINNT        |   76 -
 ldap/servers/plugins/distrib/distrib.dsp           |  153 --
 ldap/servers/plugins/distrib/dllmain.c             |   54 -
 ldap/servers/plugins/distrib/libdistrib.def        |   41 -
 ldap/servers/plugins/http/dllmain.c                |   56 -
 ldap/servers/plugins/http/http.def                 |   45 -
 .../plugins/pam_passthru/libpam_passthru.def       |   45 -
 ldap/servers/plugins/pam_passthru/pam_ptdllmain.c  |   81 -
 ldap/servers/plugins/passthru/libpassthru.def      |   46 -
 ldap/servers/plugins/passthru/ptdllmain.c          |   83 -
 ldap/servers/plugins/presence/dllmain.c            |   55 -
 ldap/servers/plugins/presence/presence.def         |   43 -
 ldap/servers/plugins/pwdstorage/dllmain.c          |   55 -
 ldap/servers/plugins/pwdstorage/libpwdstorage.def  |   56 -
 ldap/servers/plugins/referint/dllmain.c            |   55 -
 ldap/servers/plugins/referint/referint.def         |   44 -
 ldap/servers/plugins/replication/dllmain.c         |  128 --
 ldap/servers/plugins/replication/replication.def   |   48 -
 ldap/servers/plugins/retrocl/dllmain.c             |   55 -
 ldap/servers/plugins/retrocl/retrocl.def           |   47 -
 ldap/servers/plugins/rever/dllmain.c               |   55 -
 ldap/servers/plugins/rever/libdes.def              |   45 -
 ldap/servers/plugins/roles/dllmain.c               |   54 -
 ldap/servers/plugins/roles/roles.def               |   42 -
 ldap/servers/plugins/statechange/dllmain.c         |   56 -
 ldap/servers/plugins/statechange/statechange.def   |   42 -
 ldap/servers/plugins/syntaxes/dllmain.c            |   84 -
 ldap/servers/plugins/syntaxes/libsyntax.def        |   56 -
 ldap/servers/plugins/uiduniq/libuiduniq.def        |   47 -
 ldap/servers/plugins/vattrsp_template/dllmain.c    |   55 -
 ldap/servers/plugins/vattrsp_template/vattrsp.def  |   42 -
 ldap/servers/plugins/views/dllmain.c               |   55 -
 ldap/servers/plugins/views/views.def               |   42 -
 ldap/servers/slapd/back-ldbm/dllmain.c             |   86 -
 ldap/servers/slapd/back-ldbm/libback-ldbm.def      |   45 -
 ldap/servers/slapd/back-ldif/dllmain.c             |   65 -
 ldap/servers/slapd/back-ldif/libback-ldif.def      |   44 -
 ldap/servers/slapd/libslapd.def                    | 1204 -------------
 ldap/servers/slapd/ntmsgdll/ntslapdmessages.c      |   53 -
 ldap/servers/slapd/ntmsgdll/ntslapdmessages.mc     |  315 ----
 ldap/servers/slapd/ntperfdll/exports.def           |   41 -
 ldap/servers/slapd/ntperfdll/nsldapctr.cpp         | 1054 ------------
 ldap/servers/slapd/ntperfdll/nsldapctrdef.h        |   72 -
 ldap/servers/slapd/ntperfdll/nsldapctrmc.h         |  159 --
 ldap/servers/slapd/ntperfdll/nsldapctrmc.mc        |  106 --
 ldap/servers/slapd/ntperfdll/nsldapctrmsg.h        |   97 --
 ldap/servers/slapd/ntperfdll/nsldapctrs.h          |  108 --
 ldap/servers/slapd/ntperfdll/nsldapctrs.ini        |   89 -
 ldap/servers/slapd/ntperfdll/nsldapctrutil.cpp     |  401 -----
 ldap/servers/slapd/ntperfdll/nsldapctrutil.h       |  157 --
 ldap/servers/slapd/ntperfdll/nsldapreg.ini         |   50 -
 ldap/servers/slapd/ntwdog/cron_conf.c              |  691 --------
 ldap/servers/slapd/ntwdog/cron_conf.h              |  122 --
 ldap/servers/slapd/ntwdog/ntcron.c                 |  193 ---
 ldap/servers/slapd/ntwdog/ntwatchdog.c             | 1194 -------------
 ldap/servers/slapd/snmp_collator.c                 |    1 -
 ldap/servers/slapd/test-plugins/Makefile.WINNT     |   77 -
 ldap/servers/slapd/test-plugins/Makefile.server    |   54 +-
 ldap/servers/slapd/test-plugins/dllmain.c          |   66 -
 ldap/servers/slapd/test-plugins/testplugin.def     |   48 -
 ldap/servers/slapd/test-plugins/testplugin.dsp     |  175 --
 ldap/servers/slapd/test-plugins/testplugin.mak     |  463 -----
 ldap/servers/snmp/ntagt/msrvdefs.mak               |  523 ------
 ldap/servers/snmp/ntagt/nslagtcom_nt.h             |   69 -
 ldap/servers/snmp/ntagt/nsldapagt_nt.c             | 1778 --------------------
 ldap/servers/snmp/ntagt/nsldapagt_nt.def           |   56 -
 ldap/servers/snmp/ntagt/nsldapagt_nt.h             |  268 ---
 ldap/servers/snmp/ntagt/nsldapmib_nt.c             | 1078 ------------
 ldap/servers/snmp/ntagt/nsldapmib_nt.h             |  167 --
 lib/base/eventlog.cpp                              |  106 --
 lib/base/nterrors.cpp                              |  120 --
 84 files changed, 4 insertions(+), 14194 deletions(-)
 delete mode 100644 include/base/eventhandler.h
 delete mode 100644 include/base/eventlog.h
 delete mode 100644 include/base/nterr.h
 delete mode 100644 include/base/nterrors.h
 delete mode 100644 ldap/servers/plugins/acl/acldllmain.c
 delete mode 100644 ldap/servers/plugins/acl/libacl.def
 delete mode 100644 ldap/servers/plugins/chainingdb/cbdllmain.c
 delete mode 100644 ldap/servers/plugins/chainingdb/libcb.def
 delete mode 100644 ldap/servers/plugins/collation/collation.def
 delete mode 100644 ldap/servers/plugins/collation/dllmain.c
 delete mode 100644 ldap/servers/plugins/cos/cos.def
 delete mode 100644 ldap/servers/plugins/cos/dllmain.c
 delete mode 100644 ldap/servers/plugins/distrib/Makefile.WINNT
 delete mode 100644 ldap/servers/plugins/distrib/distrib.dsp
 delete mode 100644 ldap/servers/plugins/distrib/dllmain.c
 delete mode 100644 ldap/servers/plugins/distrib/libdistrib.def
 delete mode 100644 ldap/servers/plugins/http/dllmain.c
 delete mode 100644 ldap/servers/plugins/http/http.def
 delete mode 100644 ldap/servers/plugins/pam_passthru/libpam_passthru.def
 delete mode 100644 ldap/servers/plugins/pam_passthru/pam_ptdllmain.c
 delete mode 100644 ldap/servers/plugins/passthru/libpassthru.def
 delete mode 100644 ldap/servers/plugins/passthru/ptdllmain.c
 delete mode 100644 ldap/servers/plugins/presence/dllmain.c
 delete mode 100644 ldap/servers/plugins/presence/presence.def
 delete mode 100644 ldap/servers/plugins/pwdstorage/dllmain.c
 delete mode 100644 ldap/servers/plugins/pwdstorage/libpwdstorage.def
 delete mode 100644 ldap/servers/plugins/referint/dllmain.c
 delete mode 100644 ldap/servers/plugins/referint/referint.def
 delete mode 100644 ldap/servers/plugins/replication/dllmain.c
 delete mode 100644 ldap/servers/plugins/replication/replication.def
 delete mode 100644 ldap/servers/plugins/retrocl/dllmain.c
 delete mode 100644 ldap/servers/plugins/retrocl/retrocl.def
 delete mode 100644 ldap/servers/plugins/rever/dllmain.c
 delete mode 100644 ldap/servers/plugins/rever/libdes.def
 delete mode 100644 ldap/servers/plugins/roles/dllmain.c
 delete mode 100644 ldap/servers/plugins/roles/roles.def
 delete mode 100644 ldap/servers/plugins/statechange/dllmain.c
 delete mode 100644 ldap/servers/plugins/statechange/statechange.def
 delete mode 100644 ldap/servers/plugins/syntaxes/dllmain.c
 delete mode 100644 ldap/servers/plugins/syntaxes/libsyntax.def
 delete mode 100644 ldap/servers/plugins/uiduniq/libuiduniq.def
 delete mode 100644 ldap/servers/plugins/vattrsp_template/dllmain.c
 delete mode 100644 ldap/servers/plugins/vattrsp_template/vattrsp.def
 delete mode 100644 ldap/servers/plugins/views/dllmain.c
 delete mode 100644 ldap/servers/plugins/views/views.def
 delete mode 100644 ldap/servers/slapd/back-ldbm/dllmain.c
 delete mode 100644 ldap/servers/slapd/back-ldbm/libback-ldbm.def
 delete mode 100644 ldap/servers/slapd/back-ldif/dllmain.c
 delete mode 100644 ldap/servers/slapd/back-ldif/libback-ldif.def
 delete mode 100644 ldap/servers/slapd/libslapd.def
 delete mode 100644 ldap/servers/slapd/ntmsgdll/ntslapdmessages.c
 delete mode 100644 ldap/servers/slapd/ntmsgdll/ntslapdmessages.mc
 delete mode 100644 ldap/servers/slapd/ntperfdll/exports.def
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctr.cpp
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctrdef.h
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctrmc.h
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctrmc.mc
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctrmsg.h
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctrs.h
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctrs.ini
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctrutil.cpp
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapctrutil.h
 delete mode 100644 ldap/servers/slapd/ntperfdll/nsldapreg.ini
 delete mode 100644 ldap/servers/slapd/ntwdog/cron_conf.c
 delete mode 100644 ldap/servers/slapd/ntwdog/cron_conf.h
 delete mode 100644 ldap/servers/slapd/ntwdog/ntcron.c
 delete mode 100644 ldap/servers/slapd/ntwdog/ntwatchdog.c
 delete mode 100644 ldap/servers/slapd/test-plugins/Makefile.WINNT
 delete mode 100644 ldap/servers/slapd/test-plugins/dllmain.c
 delete mode 100644 ldap/servers/slapd/test-plugins/testplugin.def
 delete mode 100644 ldap/servers/slapd/test-plugins/testplugin.dsp
 delete mode 100644 ldap/servers/slapd/test-plugins/testplugin.mak
 delete mode 100644 ldap/servers/snmp/ntagt/msrvdefs.mak
 delete mode 100644 ldap/servers/snmp/ntagt/nslagtcom_nt.h
 delete mode 100644 ldap/servers/snmp/ntagt/nsldapagt_nt.c
 delete mode 100644 ldap/servers/snmp/ntagt/nsldapagt_nt.def
 delete mode 100644 ldap/servers/snmp/ntagt/nsldapagt_nt.h
 delete mode 100644 ldap/servers/snmp/ntagt/nsldapmib_nt.c
 delete mode 100644 ldap/servers/snmp/ntagt/nsldapmib_nt.h
 delete mode 100644 lib/base/eventlog.cpp
 delete mode 100644 lib/base/nterrors.cpp

diff --git a/ldap/servers/plugins/distrib/Makefile b/ldap/servers/plugins/distrib/Makefile
index 60e9ad6..c2ad31f 100644
--- a/ldap/servers/plugins/distrib/Makefile
+++ b/ldap/servers/plugins/distrib/Makefile
@@ -52,10 +52,6 @@ LIBDIR = $(LDAP_PLUGIN_RELDIR)
 include $(BUILD_ROOT)/nsconfig.mk
 include $(LDAP_SRC)/nsldap.mk
 
-ifeq ($(ARCH), WINNT)
-DEF_FILE:=./libdistrib.def
-endif
-
 CFLAGS+=$(SLCFLAGS)
 
 INCLUDES += -I$(LDAP_SRC)/servers/slapd
@@ -66,74 +62,27 @@ DIS_OBJS= \
 
 OBJS = $(addprefix $(OBJDEST)/, $(DIS_OBJS)) 
 
-ifeq ($(ARCH), WINNT)
-LIBDIS_DLL_OBJ = $(addprefix $(OBJDEST)/, dllmain.o)
-endif
-
 # The sample distribution plugin is not part of DS.
 # So we generate the shared library outside of $(LIBDIR)
 # so that it's not retrieved by the packaging makefiles.
 #LIBDIS =	$(addprefix $(LIBDIR)/, $(DIS_DLL).$(DLL_SUFFIX))
 LIBDIS =	$(addprefix $(OBJDEST)/, $(DIS_DLL).$(DLL_SUFFIX))
 
-ifeq ($(ARCH), WINNT)
-EXTRA_LIBS_DEP += \
-	$(LIBSLAPD_DEP) \
-	$(LDAP_LIBUTIL_DEP) \
-	$(LDAP_COMMON_LIBS_DEP)
-EXTRA_LIBS_DEP += \
-	$(LDAPSDK_DEP) \
-	$(SECURITY_DEP)
-EXTRA_LIBS += \
-	$(LIBSLAPD) \
-	$(LDAP_SDK_LIBLDAP_DLL) \
-	$(LIBUTIL) \
-	$(NSPRLINK) \
-	$(LDAP_COMMON_LIBS)
-endif
-ifeq ($(ARCH), AIX)
-EXTRA_LIBS_DEP += \
-	$(LIBSLAPD_DEP) \
-	$(LDAP_LIBUTIL_DEP) \
-	$(LDAP_COMMON_LIBS_DEP)
-EXTRA_LIBS_DEP += \
-	$(LDAPSDK_DEP)
-EXTRA_LIBS += \
-	$(LIBSLAPDLINK) \
-	$(LDAP_SDK_LIBLDAP_DLL) \
-	$(LIBUTIL) \
-	$(NSPRLINK) \
-	$(LDAP_COMMON_LIBS)
-endif
-
 ifeq ($(ARCH), HPUX)
 EXTRA_LIBS_DEP += $(LIBSLAPD_DEP) $(LDAPSDK_DEP) $(NSPR_DEP)
 EXTRA_LIBS += $(LDAPLINK) $(NSPRLINK) $(ICULINK)
 endif
 
-ifeq ($(ARCH), WINNT)
-DLL_LDFLAGS += -def:"./libdistrib.def"
-CFLAGS+= /WX 
-endif # WINNT
-
-ifeq ($(ARCH), AIX)
-LD=ld
-endif
-
-clientSDK: 
 
 all:	$(OBJDEST) $(LIBDIR) $(LIBDIS)
 
-$(LIBDIS): $(OBJS) $(LIBDIS_DLL_OBJ) $(DEF_FILE)
-	$(LINK_DLL) $(LIBDIS_DLL_OBJ) $(EXTRA_LIBS) 
+$(LIBDIS): $(OBJS) $(DEF_FILE)
+	$(LINK_DLL) $(EXTRA_LIBS) 
 
 veryclean: clean
 
 clean:
 	$(RM) $(OBJS)
-ifeq ($(ARCH), WINNT)
-	$(RM) $(LIBDIS_DLL_OBJ)
-endif
 	$(RM) $(LIBDIS)
 
 $(OBJDEST):
diff --git a/ldap/servers/slapd/snmp_collator.c b/ldap/servers/slapd/snmp_collator.c
index f40d867..05a3afc 100644
--- a/ldap/servers/slapd/snmp_collator.c
+++ b/ldap/servers/slapd/snmp_collator.c
@@ -69,7 +69,6 @@
 #define SNMP_NUM_SEM_WAITS 10
 
 #include "snmp_collator.h" 
-#include "../snmp/ntagt/nslagtcom_nt.h"
 
 /* stevross: safe to assume port should be at most 5 digits ? */
 #define PORT_LEN 5
diff --git a/ldap/servers/slapd/test-plugins/Makefile.server b/ldap/servers/slapd/test-plugins/Makefile.server
index 3e1ab7f..69224e3 100644
--- a/ldap/servers/slapd/test-plugins/Makefile.server
+++ b/ldap/servers/slapd/test-plugins/Makefile.server
@@ -53,10 +53,6 @@ LIBDIR = $(LIB_RELDIR)
 include $(BUILD_ROOT)/nsconfig.mk
 include $(LDAP_SRC)/nsldap.mk
 
-ifeq ($(ARCH), WINNT)
-DEF_FILE:=./libdistrib.def
-endif
-
 CFLAGS+=$(SLCFLAGS)
 
 INCLUDES += -I$(LDAP_SRC)/servers/slapd -I$(DB_INCLUDE)
@@ -66,72 +62,26 @@ DIS_OBJS= \
 
 OBJS = $(addprefix $(OBJDEST)/, $(DIS_OBJS)) 
 
-ifeq ($(ARCH), WINNT)
-LIBDIS_DLL_OBJ = $(addprefix $(OBJDEST)/, dllmain.o)
-endif
-
 # The sample distribution plugin is not part of DS.
 # So we generate the shared library outside of $(LIBDIR)
 # so that it's not retrieved by the packaging makefiles.
 #LIBDIS =	$(addprefix $(LIBDIR)/, $(DIS_DLL).$(DLL_SUFFIX))
 LIBDIS =	$(addprefix $(OBJDEST)/, $(TEST_PLUGIN_DLL).$(DLL_SUFFIX))
 
-ifeq ($(ARCH), WINNT)
-EXTRA_LIBS_DEP += \
-	$(LIBSLAPD_DEP) \
-	$(LDAP_LIBUTIL_DEP) \
-	$(LDAP_COMMON_LIBS_DEP)
-EXTRA_LIBS_DEP += \
-	$(LDAPSDK_DEP) \
-	$(SECURITY_DEP)
-EXTRA_LIBS += \
-	$(LIBSLAPD) \
-	$(LDAP_SDK_LIBLDAP_DLL) \
-	$(LIBUTIL) \
-	$(NSPRLINK) \
-	$(LDAP_COMMON_LIBS)
-endif
-ifeq ($(ARCH), AIX)
-EXTRA_LIBS_DEP += \
-	$(LIBSLAPD_DEP) \
-	$(LDAP_LIBUTIL_DEP) \
-	$(LDAP_COMMON_LIBS_DEP)
-EXTRA_LIBS_DEP += \
-	$(LDAPSDK_DEP)
-EXTRA_LIBS += \
-	$(LIBSLAPDLINK) \
-	$(LDAP_SDK_LIBLDAP_DLL) \
-	$(LIBUTIL) \
-	$(NSPRLINK) \
-	$(LDAP_COMMON_LIBS)
-endif
-
 EXTRA_LIBS_DEP += $(LIBSLAPD_DEP) $(LDAPSDK_DEP) $(NSPR_DEP) $(DB_LIB_DEP)
 EXTRA_LIBS += $(DYN_NSHTTPD) $(ADMINUTIL_LINK) $(LDAPLINK) $(NSPRLINK) $(ICULINK) $(DB_LIB)
 
-ifeq ($(ARCH), WINNT)
-DLL_LDFLAGS += -def:"./libdistrib.def"
-CFLAGS+= /WX 
-endif # WINNT
-
-ifeq ($(ARCH), AIX)
-LD=ld
-endif
-
 clientSDK: 
 
 all:	$(OBJDEST) $(LIBDIR) $(LIBDIS)
 
-$(LIBDIS): $(OBJS) $(LIBDIS_DLL_OBJ) $(DEF_FILE)
-	$(LINK_DLL) $(LIBDIS_DLL_OBJ) $(EXTRA_LIBS) 
+$(LIBDIS): $(OBJS) $(LIBDIS_DLL_OBJ)
+	$(LINK_DLL) $(EXTRA_LIBS) 
 
 veryclean: clean
 
 clean:
 	$(RM) $(OBJS)
-ifeq ($(ARCH), WINNT)
-	$(RM) $(LIBDIS_DLL_OBJ)
-endif
 	$(RM) $(LIBDIS)
 
 $(OBJDEST):
